package ro.tibor.processing.gameJam.stateMachine;

import processing.core.PApplet;
import ro.tibor.processing.gameJam.Mover;

abstract public class MoverState 
{
	protected Mover mover;
	protected PApplet p;
	
	public MoverState(Mover mover, PApplet p) 
	{
		this.mover = mover;
		this.p = p;
	}
	
	void click()
	{
		
	}
	
	void start()
	{
		
	}
	
	void update()
	{
	}
	
	void checkCollision()
	{
	}
	
	void draw()
	{
		p.pushMatrix();
		p.translate(mover.position.x, mover.position.y);
		//TODO draw the pointer over here
		p.rotateZ(mover.rotation);
		this.customDraw();
		p.popMatrix();
	}
	
	void customDraw()
	{
		p.image(mover.images.get(0), 0, 0);
	}
}
