package ro.tibor.processing.gameJam.stateMachine;

import processing.core.PApplet;
import processing.core.PVector;
import ro.tibor.processing.gameJam.Mover;

public class MoverStatePast extends MoverState 
{
	
	public MoverStatePast(Mover mover, PApplet p) 
	{
		super(mover, p);
	}

	@Override
	void start() {
		super.start();
		mover.shouldDrawPointer = false;
	}
	
	@Override
	void draw() 
	{
		PVector futurePosition = mover.listPositions.get(12);
		p.tint(255,50);

		p.pushMatrix();
		p.translate(futurePosition.x, futurePosition.y);
		p.rotateZ(mover.rotation);
		p.image(mover.images.get(0), 0, 0);
		p.popMatrix();
		
		mover.position.set(mover.listPositions.get(0));
		p.tint(255);
		p.pushMatrix();
		p.translate(mover.position.x, mover.position.y);
		p.rotateZ(mover.rotation);
		p.image(mover.images.get(0), 0, 0);
		p.popMatrix();
	}
	
	@Override
	void customDraw() 
	{		
		
	}

}
