package ro.tibor.processing.gameJam;

import processing.core.PApplet;
import processing.core.PImage;

public class LevelStateHandlerFuture extends LevelStateHandler
{
	private PImage backgroundImage;
	
	public LevelStateHandlerFuture(PApplet p, Level level) 
	{
		super(p, level);
		backgroundImage = p.loadImage("future.png");
	}
	
	@Override
	public void start() {
		super.start();
		for (Mover m: level.listMovers)
		{
			m.stateMachine.next();
		}
	}
	
	@Override
	public void update() 
	{
	}

	@Override
	public void draw() {
		super.draw();
		
		p.image(backgroundImage,p.width / 2 , p.height / 2, p.width, p.height);
		
		for (Mover m : level.listMovers) 
		{
			m.draw();
		}		
	}
}
