package ro.tibor.processing.gameJam;

import processing.core.PApplet;
import processing.core.PImage;

public class LevelStateHandlerOver extends LevelStateHandler
{
	private PImage wonImage;
	private PImage lostImage;
	
	public LevelStateHandlerOver(PApplet p, Level level) 
	{
		super(p, level);
		wonImage = p.loadImage("win.png");
		lostImage = p.loadImage("lose.png");
	}
	
	public void start()
	{
		AudioManager.getInstance().playLevelOverSound();;
	}
	
	@Override
	public void update() 
	{
		
	}
	
	public void click()
	{ 
		if (level.isWon)
		{
			LevelManager.getInstance().nextLevel();
		} 
		else
		{
			LevelManager.getInstance().repeatLevel();
		}
	}
	
	public void draw()
	{
		PImage image = level.isWon ? wonImage : lostImage;
		p.image(image, p.width/2, p.height/2, p.width, p.height);
	}
	
}
