package ro.tibor.processing.gameJam;

import processing.core.PApplet;
import processing.core.PImage;

public class LevelStateHandlerPast extends LevelStateHandler
{	
	private PImage backgroundImage;
	
	public LevelStateHandlerPast(PApplet p, Level level) 
	{
		super(p, level);
		backgroundImage = p.loadImage("past.png");
	}
	
	public void start()
	{
		level.isWon = false;
		for (Mover m: level.listMovers)
		{
			m.stateMachine.setState(0);
		}
	}
	
	@Override
	public void update() 
	{
		
	}
		
	@Override
	public void draw() 
	{
		super.draw();
		p.image(backgroundImage,p.width / 2 , p.height / 2, p.width, p.height);
		
		for (Mover m : level.listMovers) {
			m.update();
			m.draw();
		}
	}
}
