package ro.tibor.processing.gameJam.stateMachine;

import processing.core.PApplet;
import ro.tibor.processing.gameJam.Mover;

public class MoverStateDead extends MoverState
{
	private int deathFrameIndex;
	
	public MoverStateDead(Mover mover, PApplet p) 
	{
		super(mover, p);
		deathFrameIndex = 0;
	}

	@Override
	void start() 
	{
		super.start();
		mover.isDead = true;
	}
	
	@Override
	void customDraw() 
	{
		if (p.frameCount % 3 == 0)
		{
			deathFrameIndex = PApplet.constrain((deathFrameIndex + 1), 0, mover.images.size() - 1) ;
		}
		p.image(mover.images.get(deathFrameIndex), 0, 0);
	}

}
