package ro.tibor.processing.gameJam.stateMachine;

import processing.core.PApplet;
import processing.core.PVector;
import ro.tibor.processing.gameJam.LevelManager;
import ro.tibor.processing.gameJam.Mover;

public class MoverStateFuture extends MoverState
{

	public MoverStateFuture(Mover mover, PApplet p) 
	{
		super(mover, p);
		
	}
	
	@Override
	void start() {
		super.start();
		
		int futureFrame = LevelManager.getInstance().currentLevel.futureFrame;
		futureFrame = PApplet.constrain(futureFrame, 0, mover.listRotations.size() - 1);
		
		mover.position = mover.listPositions.get(futureFrame);
		mover.rotation = mover.listRotations.get(mover.listRotations.size() - 1);
	}

	@Override
	void customDraw() 
	{
		int index = mover.diesInTheEnd ? mover.images.size() - 1 : 0;
		p.image(mover.images.get(index), 0, 0);
	}
}
